import { AxiosInstance } from 'axios';
import Image from './assets/Image';
declare const _default: {
    /**
     * Axios REST instance
     */
    api: AxiosInstance;
    /**
     * API cache.
     */
    cache: {
        share_key: null;
    };
    /**
     * Fetch share key from collection API.
     */
    readonly shareKey: Promise<string>;
    /**
     * Fetch images from the given page.
     *
     * @param page
     */
    fetch(page?: number): Promise<any>;
    /**
     * Filter images to landscape mode.
     *
     * @param images
     */
    filterLandscape(images: Image[]): Image[];
    /**
     * Fetch single image.
     */
    single(landscapeOnly?: boolean): Promise<Image>;
};
export default _default;
