export default class Image {
    /**
     * Image
     */
    readonly image: UnsplashImageData;
    /**
     * Image constructor.
     *
     * @param image
     */
    constructor(image: UnsplashImageData);
    /**
     * Raw image stream.
     */
    readonly streamRequest: import("axios").AxiosPromise<any>;
    /**
     * Whether or not the current image is in landscape mode.
     */
    readonly isLandscape: boolean;
    /**
     * Photographer portfolio URL
     */
    readonly portfolio: string;
    /**
     * Store current image.
     */
    store(): Promise<string>;
    /**
     * Set the current image as a wallpaper.
     */
    setAsWallpaper(): Promise<void>;
}
