"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const Notifier = require("node-notifier");
const cli_ux_1 = require("cli-ux");
const Wallpapers_1 = require("../Wallpapers");
const Storage_1 = require("../Storage");
class Download extends command_1.Command {
    /**
     * Fetch wallpaper.
     */
    async run() {
        cli_ux_1.default.action.start('Locating wallpaper');
        const wallpaper = await Wallpapers_1.default.single();
        cli_ux_1.default.action.stop();
        cli_ux_1.default.action.start('Downloading wallpaper');
        const savePath = Storage_1.default.shortenPath(await wallpaper.store());
        cli_ux_1.default.action.stop(wallpaper.image.description || undefined);
        const title = `Downloaded photo by ${wallpaper.image.user.name}`;
        const message = `You can find this image in ${savePath}`;
        this.log('\n' + title);
        this.log(wallpaper.portfolio);
        this.log('\n' + message);
        // @ts-ignore
        Notifier.notify({ title, message, timeout: 15, });
    }
}
/**
 * Command description
 */
Download.description = 'Fetch a random wallpaper';
exports.default = Download;
