"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
const opn_1 = require("opn");
const Notifier = require("node-notifier");
const Wallpapers_1 = require("../Wallpapers");
class Wallpaper extends command_1.Command {
    /**
     * Fetch wallpaper.
     */
    async run() {
        cli_ux_1.default.action.start('Locating wallpaper');
        const wallpaper = await Wallpapers_1.default.single();
        cli_ux_1.default.action.stop();
        cli_ux_1.default.action.start('Downloading and applying wallpaper');
        await wallpaper.setAsWallpaper();
        cli_ux_1.default.action.stop(wallpaper.image.description || undefined);
        const notification = Notifier.notify({
            title: `Photograph by ${wallpaper.image.user.name}`,
            message: 'You can view their portfolio on Unsplash!',
            // @ts-ignore
            timeout: 20,
        });
        notification.on('click', () => opn_1.default(wallpaper.portfolio));
    }
}
/**
 * Command description
 */
Wallpaper.description = 'Set a random image as the desktop wallpaper.';
exports.default = Wallpaper;
